<html>
<head>
<title>OGRE: OgreSkeletonFileFormat.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li><a href="classes.html"><span>Classes</span></a></li>
    <li class="current"><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="dir_d6c9b501d36b850bf0bac687671293db.html">OgreMain</a>&nbsp;&raquo&nbsp;<a class="el" href="dir_f35e1e76cd4423745a1cccb1f171d4e3.html">include</a></div>
<h1>OgreSkeletonFileFormat.h File Reference</h1><code>#include &quot;<a class="el" href="OgrePrerequisites_8h-source.html">OgrePrerequisites.h</a>&quot;</code><br>

<p>
<a href="OgreSkeletonFileFormat_8h-source.html">Go to the source code of this file.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Namespaces</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">namespace &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>

<tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">enum &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html#5b37bdf2f67384dbd81643164545f7bd">Ogre::SkeletonChunkID</a> { <br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#5b37bdf2f67384dbd81643164545f7bd7ed2511945645204fe9f7423e32aea49">Ogre::SKELETON_HEADER</a> =  0x1000, 
<a class="el" href="namespaceOgre.html#5b37bdf2f67384dbd81643164545f7bdacf798731cab07af608a45eb331faa01">Ogre::SKELETON_BONE</a> =  0x2000, 
<a class="el" href="namespaceOgre.html#5b37bdf2f67384dbd81643164545f7bd60d951d9cd1e76668758a78eaa75e3af">Ogre::SKELETON_BONE_PARENT</a> =  0x3000, 
<a class="el" href="namespaceOgre.html#5b37bdf2f67384dbd81643164545f7bda559ee7367718e8c9ffdfd1af83c9ca8">Ogre::SKELETON_ANIMATION</a> =  0x4000, 
<br>
&nbsp;&nbsp;<a class="el" href="namespaceOgre.html#5b37bdf2f67384dbd81643164545f7bd691013153a33fde3a543deed39382c20">Ogre::SKELETON_ANIMATION_TRACK</a> =  0x4100, 
<a class="el" href="namespaceOgre.html#5b37bdf2f67384dbd81643164545f7bdebf5354fd4093986740b6f7a0b9c998e">Ogre::SKELETON_ANIMATION_TRACK_KEYFRAME</a> =  0x4110, 
<a class="el" href="namespaceOgre.html#5b37bdf2f67384dbd81643164545f7bd869ed880064984ab52e95a922efec6cd">Ogre::SKELETON_ANIMATION_LINK</a> =  0x5000
<br>
 }</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Definition of the OGRE .skeleton file format.  <a href="namespaceOgre.html#5b37bdf2f67384dbd81643164545f7bd">More...</a><br></td></tr>
</table>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:48:59 2008
</p>
</body>
</html>
